drop materialized view provinceOrdersMV;
create materialized view provinceOrdersMV 
   refresh start with sysdate next sysdate + 1
 as
select o.provinceid
      ,extract(year from placeddate) orderyr
      ,od.productid
      ,substr(productdescription,1,20) proddesc
      ,sum(orderqty) totunits
      ,sum(productprice*orderqty) totvalue
from orders o  join orderdetail od
                 on o.orderid = od.orderid
               join product p
                 on od.productid = p.productid
group by o.provinceid
        ,extract(year from placeddate)
        ,od.productid
        ,productdescription
order by extract(year from placeddate)
        ,o.provinceid
/
