select country
      ,product
      ,year
      ,round(units_sold,0) units_sold
from sales_mview
where country in ('Australia','Canada')
  and product in ('Mouse Pad','Deluxe Mouse')
model return updated rows
  partition by (country)
  dimension by (product,year)
  measures (tot_sales units_sold)
  rules (
    units_sold['Mouse Pad', for year from 2001 to 2005 increment 1] = units_sold['Mouse Pad',cv(year)-1] * 1.1
   ,units_sold['Deluxe Mouse', for year from 2001 to 2005 increment 1] = units_sold['Deluxe Mouse',cv(year)-1] * 1.3
   )
order by country
        ,product
        ,year
/
